{
  "module": {
    "name": "entry",
    "type": "entry",
    "description": "$string:module_desc",
    "mainElement": "EntryAbility",
    "deviceTypes": [
      "default",
      "tablet"
    ],
    "deliveryWithInstall": true,
    "installationFree": false,
    "pages": "$profile:main_pages",
    "abilities": [
      {
        "name": "EntryAbility",
        "srcEntry": "./ets/entryability/EntryAbility.ets",
        "description": "$string:EntryAbility_desc",
        "icon": "$media:HONDAK_LOGO",
        "label": "$string:EntryAbility_label",
        "startWindowIcon": "$media:HONDAK_LOGO",
        "startWindowBackground": "$color:start_window_background",
        "exported": true,
        "skills": [
          {
            "entities": [
              "entity.system.home"
            ],
            "actions": [
              "action.system.home"
            ]
          }

        ],

      }
    ],
    "requestPermissions": [


      {
        "name": "ohos.permission.INTERNET",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "always"
        }
      },
      {
        "name": "ohos.permission.ACCESS_SERVICE_DM"
      },
      {
        "name": "ohos.permission.GET_NETWORK_INFO"
      },
      {
        "name": "ohos.permission.START_INVISIBLE_ABILITY",
      },
      {
        "name": "ohos.permission.CAMERA"//允许应用使用相机拍摄照片和录制视频
      },
      {
        "name": "ohos.permission.MICROPHONE"//允许应用使用麦克风
      },
      {
        "name": "ohos.permission.MEDIA_LOCATION"//允许应用访问用户媒体文件中的地理位置信息
      },
      {
        "name": "ohos.permission.WRITE_MEDIA"//允许应用读写用户外部存储中的媒体文件信息
      },
      {
        "name": "ohos.permission.READ_MEDIA"//允许应用读取用户外部存储中的媒体文件信息
      }

      //      {
      //        "name": "ohos.permission.STORAGE_MANAGER",
      //        "usedScene": {
      //          "abilities": [
      //            "FormAbility"
      //          ],
      //          "when":"always"
      //        }
      //      }
    ]
  }
}